Bug 148971 - Install fails to read partition table with hidden partitions
Install fails to read partition table with hidden partitions
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-17 11:01 EST by Henrique Ser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 11:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henrique Ser 2005-02-17 11:01:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
On my brand new LG LT20 Tablet/Laptop, trying to install Fedora Core 3
from DVD burned from ISO, when pressing next on the step where I am
asked if I want automatic or manual partitioning (any choice will do)
I get an error saying it was not able to read the partition table and
asks me if I want to reset it (loosing all information on it).
Pressing NO gives me an error dialog saying Disk Drive not found and
afterwards exits and reboots.

Going in to rescue system, I can fdisk /dev/hda and see the partition
list perfect. I already have Windows XP Tablet, a linux swap partition
and a reiserFS partition with Suse 9.0 on it. What I wanted to do was
use fedora instead of Suse.

This laptop has a hidden partition with the windows rescue instalation
system on it, but it is not visible to fdisk, so I guess the BIOS is
hiding it. But that should have no impact, at least fdisk doesn't
complain and I do have Suse installed on it.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to install...
2.
3.
    

Additional info:
Comment 1 Jeremy Katz 2005-02-20 15:42:09 EST
What does parted show on the disk (as opposed to fdisk)?
Comment 2 Henrique Ser 2005-02-21 14:13:10 EST
Well, parted complains 'Can't have partition outside of disk!'
It must be referencing the BIOS hidden recovery partition, which I
thought was completly masked out, but seem to have been proven wrong.
Comment 3 Chris Lumens 2005-04-18 11:07:11 EDT
Can you switch to the shell on tty2, run dmesg | more, and see if the kernel is
recognizing the hidden recovery partition at all?  Sometimes the hidden
partition is very well hidden from the system, and sometimes the kernel is still
able to see that it's there.
Comment 4 Henrique Ser 2005-04-18 11:29:52 EDT
No, it isn't. On top of dmesg there's the kernel stating the existing partition
table on hda, and has hda1, hda2 and hda3 (that NTFS, linux swap, and linux, the
linuxes being from a previous SuSE instalation). That's the only place the
kernel speaks about partitions.

So the hidden partition stays hidden... Also the disk size as stated by fdisk is
57.6 GB, and this is a 60 GB disk, so the BIOS is masking the information
directly AFAIK. There's something telling parted about the hidden partition, but
it then appears to be outside the disk geometry, from the info that the BIOS
supplies. Or at least that's my opinion :)
Comment 5 Chris Lumens 2005-09-23 11:50:14 EDT
parted-1.6.24 has some fixes regarding hidden partitions, but there still might
be a kernel problem at work here as well.  Is it possible for you to somehow
test with this newer parted package and see if it is resolved?
Comment 6 Henrique Ser 2005-09-23 15:45:51 EDT
Well, parted 1.6.24 actually shows me the (correct?) partition table. The only
quirk I find is the fact the first partition starts at 32kB:

(parted) print                                                            
Disk geometry for /dev/hda: 0kB - 60GB
Disk label type: msdos
Number  Start   End     Size    Type      File system  Flags
1       32kB    42GB    42GB    primary   ntfs         boot
2       42GB    42GB    58MB    primary   ext2         
3       42GB    43GB    979MB   primary   linux-swap   
4       43GB    60GB    17GB    primary   reiserfs     

I now have gentoo installed and as such I am not going to get fedora in any
more. Next time I format the drive I'll try it out, but I'm pretty sure now I
would be able to install fedora as parted no longer raises an exception on
scanning the partition table.

I'm not changing this bug status as you may want me to do any other test.
Otherwise, feel free to close it.

Thanks a lot for the support.
Comment 7 Chris Lumens 2005-10-20 11:21:46 EDT
Closing as CANTFIX as machine is no longer available for testing.  Also, I'm
changing the title slightly so it's easier to search for in the future.  Feel
free to reopen this bug if you experience the problem again in the future.

Note You need to log in before you can comment on or make changes to this bug.